Name:    jnr-netdb
Version: 1.1.6
Release: %mkrel 3
Group:   Development/Java
Summary: Network services database access for java
License: ASL 2.0
URL:     https://github.com/jnr/%{name}/
Source0: https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(junit:junit)

%description
jnr-netdb is a java interface to getservbyname(3), getservbyport(3).

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Fix javadoc generation on java 11
%pom_xpath_inject pom:project "<build><plugins><plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration>
<source>1.6</source>
<detectJavaApiLink>false</detectJavaApiLink>
</configuration>
</plugin></plugins></build>"


%build
%mvn_build -- -Dmaven.compiler.source=1.6 -Dmaven.compiler.target=1.6

%install
%mvn_install

%files  -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Thu Sep 10 2020 daviddavid <daviddavid> 1.1.6-3.mga8
+ Revision: 1624127
- Use source/target of 1.6 to build against Java 11
- Also disable detectJavaApiLink to avoid javadoc errors
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Fri Feb 14 2020 umeabot <umeabot> 1.1.6-2.mga8
+ Revision: 1520599
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 daviddavid <daviddavid> 1.1.6-1.mga7
+ Revision: 1337853
- new version: 1.1.6 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 1.1.5-4.mga7
+ Revision: 1262953
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.1.5-3.mga6
+ Revision: 1102800
- Fix BuildRequires

* Tue May 10 2016 daviddavid <daviddavid> 1.1.5-1.mga6
+ Revision: 1012222
- Update to upstream 1.1.5 release
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.4-3.mga6
+ Revision: 977102
- First rebuild of the java stack
- sync package jnr-netdb with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Mar 07 2015 daviddavid <daviddavid> 1.1.1-6.mga5
+ Revision: 818066
- disable tests failure

* Mon Jan 19 2015 daviddavid <daviddavid> 1.1.1-5.mga5
+ Revision: 811536
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 748122
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 545467
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.1.1-1.mga4
+ Revision: 501303
- New version
- New version
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 162445
- FIx group
- Fix buildrequires
- Clean spec file
+ gil <gil>
- edit javadoc task
- imported package jnr-netdb


* Mon Jun 13 2011 gil <gil> 1.0.3-0.%%mkrel
- initial rpm